module TestGroup {
    export class TestingGroup extends Base.BasicGroup {
        selectImage: SelectImage.SelectImage;

        constructor(game, name, x, y, json) {
            super(game, name, x, y, json);

        }

        init(json) {
            super.init(json);
        }

        preload() {
            super.preload();
            JD.loadScript(GameTypes.SelectImage);
        }

        create() {
            super.create();
            this.selectImage = new SelectImage.SelectImage(this.game, this.name, Global.Main.mainContainerDims.x, Global.Main.mainContainerDims.y, this.json);
            this.selectImage.preload();
            this.addChild(this.selectImage);
        }


    }
}